/**
  *  \file client/widgets/markertype.h
  *  \brief WMarkerTypeSelector widget
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_MARKERTYPE_H
#define PCC_V2_CLIENT_WIDGETS_MARKERTYPE_H

#include "ui/ui.h"

/** Marker type selector. Displays a list of all known marker shapes
    and allows the user to pick one. */
class WMarkerTypeSelector : public UIWidget {
    /** Marker type. */
    int marker_type;

    void moveBy(int delta);
    int  getFrameSize() const;
 public:
    WMarkerTypeSelector();
    ~WMarkerTypeSelector();

    void setMarkerType(int marker_type);
    int  getMarkerType() const;

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);
    bool handleEvent(const UIEvent& e, bool second_pass);

    bool doStandardDialog(string_t title);
};

#endif
