/**
  *  \file ui/widgets/richstatic.cc
  */

#include "ui/widgets/richstatic.h"

UIRichStatic::UIRichStatic(const RichText& text, int width)
    : UIWidget(),
      text(),
      width(width),
      doc()
{
    this->setText(text);
}

UIRichStatic::~UIRichStatic()
{ }

void
UIRichStatic::drawContent(GfxCanvas& can)
{
    GfxContext ctx;
    ctx.useCanvas(can);
    ctx.useColorScheme(getSkin());
    // drawBackground(ctx, getExtent());
    doc.draw(ctx, getExtent(), 0);
    can.update(getExtent());
}

void
UIRichStatic::getLayoutInfo(LayoutInfo& li)
{
    li.flags = 0;
    li.min_size = li.pref_size = GfxPoint(width, doc.getDocumentHeight());
}

void
UIRichStatic::setText(const RichText& text)
{
    doc.clear();
    doc.setPageWidth(width);
    doc.add(text);
    doc.finish();
}
